<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <title>Magical Mystery Tour Checkout</title>

    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.4.1/css/bootstrap.min.css"
          integrity="sha384-Vkoo8x4CGsO3+Hhxv8T/Q5PaXtkKtu6ug5TOeNV6gBiFeWPGFN9MuhOf23Q9Ifjh" crossorigin="anonymous">

    <meta name="theme-color" content="#563d7c">

    <script src="https://static.checkout.sandbox.littlepay.com/littlepay-checkout.min.js"></script>

    <style>
        .bd-callout {
            padding: 1em;
            margin-bottom: 3em;
            border: 1px solid #eee;
            border-left-width: .25rem;
            border-radius: .25rem
        }
        .bd-callout-warning {
            border-left-color: #f0ad4e;
        }
        .bd-callout-warning h5 {
            margin-top: 0;
            margin-bottom: .25rem
        }
    </style>

<body class="bg-light">
<div class="container">
    <div class="py-3 text-center">
        <img class="d-block mx-auto mb-4" src="/img/bus.png" alt="" width="200">
        <h2>
            Magical Mystery Tours<br/>
            <small>Manage Cards</small>
        </h2>
        <p class="lead">Here you view a list of your saved cards. You can also save new cards and delete existing cards.</p>
    </div>

    <div class="row">
        <div class="col-md-8 offset-md-2">
            <div class="bd-callout bd-callout-warning">
                <h5>Note</h5>
                Clicking 'Back' will unmount the ui component. Refresh the page to reload.
            </div>
        </div>
    </div>

    <div class="row">
        <div class="col-md-8 offset-md-2">
            <div id="littlepay-managecards-container"></div>
        </div>
    </div>
</div>

    <footer class="my-5 pt-5 text-muted text-center text-small">
        <p class="mb-1">© 2020 Magical Mystery Tours</p>
        <ul class="list-inline">
            <li class="list-inline-item"><a href="#">Privacy</a></li>
            <li class="list-inline-item"><a href="#">Terms</a></li>
            <li class="list-inline-item"><a href="#">Support</a></li>
        </ul>
    </footer>
</div>
</body>
<script>
  /**
   * Launching littlepay-javascript SDK
   */
  function init() {
    if (window.LittlePay) {
      // For the purpose of the demo app, address here is hardcoded
      // in the real world merchant would pass customer address
      const address = {
        addressLineOne: '61 Wellfield Road',
        townCity: 'Cardiff',
        postcode: 'CF24 3DG',
        country: 'GB',
      };
      const customTheme = {
        color: '#444',
        backgroundColor: '#f8f9fa',
        loadingScreen: {
          color: '#1dbd72',
          backgroundColor: '#f8f9fa',
        },
        button: {
          color: '#ffffff',
          backgroundColor: '#1dbd72',
        },
        errorMessage: {
          color: '#ffffff',
          backgroundColor: '#FF0000',
        },
        navigationBar: {
          color: '#ffffff',
          backgroundColor: '#6c757d',
        },
      };
      // server creates Payment Intent and returns id and clientToken
      fetch('/client-token')
        .then(res => res.json())
        .then(responseJson => {
          const littlepay = window.LittlePay({
            targetElementId: 'littlepay-managecards-container',
            options: {
              address: address,
              theme: customTheme,
            },
            clientToken: responseJson.clientToken,
          });
          littlepay.manageSavedCards();
        });
    } else {
      console.error('window.LittlePay is undefined');
    }
  }
  init();
</script>
</html>
